# This testplan config file is for testing the testplan gem itself. 

$some_shared_cases= %w(
 case1
 case3
 case4
 )
$more_shared_cases= %w(
 case2
 )

Testplan::Setup::init -> do {
  multi_env: 0,
  testplans: {
    plan1: [
      :platform01,
    ],
    plan2: [
      :platform01,
      :platform02,
    ],
  },
  platforms: {
    platform01: {
      cases: $some_shared_cases,
      baseurl: 'http://english-example.com',
      lang: 'en_GB',
    },
    platform02: {
      cases: $more_shared_cases,
      baseurl: 'http://dutch-example.com',
      lang: 'nl_NL',
    },
    platform03: {
      cases: $more_shared_cases+$some_shared_cases,
      baseurl: 'http://dutch-example.com',
      lang: 'en_GB',
    }

  }
}
end
